Modify

Opened 3 years ago

Closed 7 weeks ago

Last modified 7 weeks ago

#13458 closed enhancement (fixed)

display external resources icons in the preferences

Reported by: Klumbumbus Owned by: Don-vip
Priority: normal Milestone: 19.06
Component: Core Version:
Keywords: icon Cc: naoliv

Description

It would be nice if the lists of "external" resources in the preferences also display the icons. This applies to

Attachments (2)

13458.PNG (8.8 KB) - added by Klumbumbus 7 weeks ago.
worksforme13458.PNG (6.1 KB) - added by Don-vip 7 weeks ago.

Download all attachments as: .zip

Change History (25)

comment:1 Changed 3 years ago by Klumbumbus

Ticket #14023 has been marked as a duplicate of this ticket.

comment:2 Changed 3 years ago by Klumbumbus

Cc: naoliv added

comment:3 Changed 7 weeks ago by Don-vip

Keywords: icon added

comment:4 Changed 7 weeks ago by Don-vip

Milestone: 19.06
Owner: changed from team to Don-vip
Status: newassigned

comment:5 Changed 7 weeks ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 15211/josm:

fix #13458 - display external resources icons in the preferences

comment:6 Changed 7 weeks ago by Klumbumbus

Great thanks!
I noticed two things: the icons are stretched, see e.g. the Bus lane preset and the internal icon is totally messed up.

comment:7 Changed 7 weeks ago by Don-vip

In 15213/josm:

see #13458 - keep icon correct shape

comment:8 Changed 7 weeks ago by Don-vip

In 15214/josm:

see #13458 - revert accidental changes

comment:9 Changed 7 weeks ago by Don-vip

Please check, it should be ok now

Changed 7 weeks ago by Klumbumbus

Attachment: 13458.PNG added

comment:10 Changed 7 weeks ago by Klumbumbus

The aspect ratio is correct now, but the internal icon still messed up.


Last edited 7 weeks ago by Don-vip (previous) (diff)

Changed 7 weeks ago by Don-vip

Attachment: worksforme13458.PNG added

comment:11 Changed 7 weeks ago by Don-vip

Work for me:

Can you please try with josm-latest.jar?

comment:12 Changed 7 weeks ago by Don-vip

In 15215/josm:

see #13458 - don't serialize null values

comment:13 in reply to:  11 Changed 7 weeks ago by Klumbumbus

Replying to Don-vip:

Can you please try with josm-latest.jar?

Same problem there.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-07-06 22:47:06 +0200 (Sat, 06 Jul 2019)
Build-Date:2019-07-06 21:01:04
Revision:15214
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15214 en) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1803 (17134)
Memory Usage: 927 MB / 1804 MB (263 MB allocated, but free)
Java version: 1.8.0_211-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050

comment:14 Changed 7 weeks ago by Don-vip

It's weird, I don't know what's going on on your machine. Do you have another one to test?

Last edited 7 weeks ago by Don-vip (previous) (diff)

comment:15 Changed 7 weeks ago by Don-vip

In 15220/josm:

see #13458 - move unused icon

comment:16 Changed 7 weeks ago by Klumbumbus

Here on another pc it works fine:

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-07-07 14:17:28 +0200 (Sun, 07 Jul 2019)
Build-Date:2019-07-07 12:18:47
Revision:15221
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15221 de) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1803 (17134)
Memory Usage: 422 MB / 892 MB (255 MB allocated, but free)
Java version: 1.8.0_211-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1366x768
Maximum Screen Size: 1366x768
Dataset consistency test: No problems found

I'll try another one tonight.

comment:17 Changed 7 weeks ago by Klumbumbus

Same glitch here on 3rd (but similar to 1st) pc (this time with java 11 though)

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-07-07 18:36:38 +0200 (Sun, 07 Jul 2019)
Revision:15226
Build-Date:2019-07-07 16:37:55
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15226 en) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1803 (17134)
Memory Usage: 620 MB / 2026 MB (187 MB allocated, but free)
Java version: 11.0.2+9-LTS, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 2160x1440
Maximum Screen Size: 2160x1440

comment:18 Changed 7 weeks ago by Klumbumbus

Not sure if it is good or bad, but this fixes it for me:

  • MapPaintPrefHelper.java

     
    8383        ExtendedSourceEntry defJosmMapcss = new ExtendedSourceEntry(type, "elemstyles.mapcss", "resource://styles/standard/elemstyles.mapcss");
    8484        defJosmMapcss.active = true;
    8585        defJosmMapcss.name = "standard";
    86         defJosmMapcss.icon = new ImageProvider("logo").getResource();
     86        defJosmMapcss.icon = new ImageProvider("logo.svg").getResource();
    8787        defJosmMapcss.title = tr("JOSM default (MapCSS)");
    8888        defJosmMapcss.description = tr("Internal style to be used as base for runtime switchable overlay styles");
    8989        ExtendedSourceEntry defPL2 = new ExtendedSourceEntry(type, "potlatch2.mapcss", "resource://styles/standard/potlatch2.mapcss");
  • PresetPrefHelper.java

     
    3030    public Collection<ExtendedSourceEntry> getDefault() {
    3131        ExtendedSourceEntry i = new ExtendedSourceEntry(type, "defaultpresets.xml", "resource://data/defaultpresets.xml");
    3232        i.title = tr("Internal Preset");
    33         i.icon = new ImageProvider("logo").getResource();
     33        i.icon = new ImageProvider("logo.svg").getResource();
    3434        i.description = tr("The default preset for JOSM");
    3535        return Collections.singletonList(i);
    3636    }
  • ValidatorPrefHelper.java

     
    8585    private void addDefault(List<ExtendedSourceEntry> defaults, String filename, String title, String description) {
    8686        ExtendedSourceEntry i = new ExtendedSourceEntry(type, filename+".mapcss", "resource://data/validator/"+filename+".mapcss");
    8787        i.title = title;
    88         i.icon = new ImageProvider("logo").getResource();
     88        i.icon = new ImageProvider("logo.svg").getResource();
    8989        i.description = description;
    9090        defaults.add(i);
    9191    }

comment:19 Changed 7 weeks ago by stoecker

Hmm, do you have a "logo.png" file with the displayed image somewhere in your image search paths?

comment:20 Changed 7 weeks ago by Don-vip

Do you have ejml plugin installed?

comment:21 in reply to:  20 Changed 7 weeks ago by Klumbumbus

Replying to Don-vip:

Do you have ejml plugin installed?

Ahh..., yes. Thats the icon.

comment:22 Changed 7 weeks ago by Don-vip

I just have fixed EJML plugin, please update in 10 minutes: [o35049:35050].

Last edited 7 weeks ago by Don-vip (previous) (diff)

comment:23 in reply to:  22 Changed 7 weeks ago by Klumbumbus

Replying to Don-vip:

I just have fixed EJML plugin, please update in 10 minutes: [o35049:35050].

Yes, that fixed it.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.